<?xml version="1.0" encoding="utf-8" standalone="yes" ?>
<floater
 legacy_header_height="18"
 height="94"
 layout="topleft"
 name="preview_anim"
 width="283">
    <floater.string
     name="Title">
        Animation: [NAME]
    </floater.string>
    <text
     type="string"
     length="1"
     follows="left|top"
     font="SansSerif"
     height="19"
     layout="topleft"
     left="10"
     name="desc txt"
     top="21"
     width="90">
        Description:
    </text>
    <line_editor
     border_style="line"
     border_thickness="1"
     follows="left|top|right"
     font="SansSerifSmall"
     height="19"
     layout="topleft"
     left_delta="95"
     max_length_bytes="127"
     name="desc"
     top="19"
     width="170" />
    <check_box
     control_name="SlowMotionAnimation"
     height="16"
     initial_value="false"
     label="play with custom speed"
     layout="topleft"
     left="8"
     name="timefactor"
     top_pad="7"
     tool_tip="Play animations with a custom set speed factor"
     width="315" />
    <spinner
      control_name="SlowMotionTimeFactor"
      decimal_digits="3"
      follows="left|top"
      height="20"
      increment="0.1"
      initial_value="1"
      label=""
      label_width="0"
      layout="topleft"
      left="205"
      max_val="15"
      min_val="-15"
      name="Factor"
      top_delta="-4"
      width="70" />
    <button
     height="20"
     label="Play Inworld"
     label_selected="Stop"
     layout="topleft"
     left="10"
     name="Inworld"
     tool_tip="Play this animation so that others can see it"
     top_pad="5"
     width="130">
       <button.commit_callback
        function="PreviewAnim.Play"
        parameter="Inworld" /> 
    </button>
    <button
     height="20"
     label="Play Locally"
     label_selected="Stop"
     layout="topleft"
     left_pad="5"
     name="Locally"
     tool_tip="Play this animation so that only you can see it"
     top_delta="0"
     width="130">
       <button.commit_callback
        function="PreviewAnim.Play"
        parameter="Locally" /> 
    </button>
</floater>
